catalog:
  title: ROS Naoqi Driver Python Package

templates:
- github
- cmake-catkin
- base

variables:
  description: ROS Naoqi Driver Python Package
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  github.user: ros-naoqi
  github.project: naoqi_bridge

  sub-directory: naoqi_driver_py
  branches:
  - master

  extra-requires:
  - cmake: naoqi_bridge_msgs
  - '@{next-value|[]}'
  platform-requires:
    ubuntu:
      xenial:
        packages:
        - ros-${ros}-desktop
        - '@{next-value|[]}'

  cmake.options:
  - CATKIN_ENABLE_TESTING=OFF
  - '@{next-value|[]}'

versions:
- name: pepper-robocup
  variables:
    branch: master
    commit: 2bb282b5c063a40f0ba38e525c3cb5dfdb854584
